> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transcript property

> Update the definition of the specified transcript property.



## OpenAPI

````yaml /specs/analytics/openapi.public.json patch /v1/transcript-property/{propertyID}
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-property/{propertyID}:
    patch:
      tags:
        - Transcript property
        - Public-Docs
      summary: Update transcript property
      description: Update the definition of the specified transcript property.
      operationId: TranscriptPropertyPublicController_update_v1
      parameters:
        - name: propertyID
          required: true
          in: path
          description: ID of the property to target.
          schema:
            type: string
            description: ID of the property to target.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                  description: The name of this property.
                type:
                  allOf:
                    - $ref: '#/components/schemas/TranscriptPropertyType'
              additionalProperties: false
      responses:
        '204':
          description: ''
      security:
        - auth: []
components:
  schemas:
    TranscriptPropertyType:
      type: string
      enum:
        - boolean
        - number
        - string
      description: The type of value held by this property.
      x-enumNames:
        - BOOLEAN
        - NUMBER
        - STRING
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````